﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Effector.Data
{
    /// <summary>
    /// The basic project item for a project.
    /// </summary>
    public class BaseProjectItem
    {

        #region Private

        #region Fields

        // the name of the item.this will appear in the tree view also
        private string _itemName;

        // a list of children
        private List<BaseProjectItem> _children;

        #endregion
        
        #endregion

        #region Public

        #region Properties

        /// <summary>
        /// Gets the name of the item.
        /// </summary>
        /// <value>The name of the item.</value>
        public string ItemName
        {
            get { return _itemName; }
        }

        /// <summary>
        /// Gets the children.
        /// </summary>
        /// <value>The children.</value>
        public List<BaseProjectItem> Children
        {
            get { return _children; }
        }

        #endregion

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="BaseProjectItem"/> class.
        /// </summary>
        public BaseProjectItem()
        {
            _itemName = "Dummy";
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="BaseProjectItem"/> class.
        /// </summary>
        /// <param name="name">The name.</param>
        public BaseProjectItem(string name)
        {
            _itemName = name;
        }

        #endregion

        #endregion
    }
}
